# $Revision: 1.34 $, $Date: 2008-01-29 21:32:49 $
Summary:	C++ frontent for glade
Summary(pl.UTF-8):	Interfejs C++ do glade
Name:		glademm
Version:	2.6.0
Release:	2
License:	GPL
Group:		Development/Building
Source0:	http://home.wtal.de/petig/Gtk/%{name}-%{version}.tar.gz
# Source0-md5:	e88be4e895ff3b99d8ae39e799b714a2
Patch0:		%{name}-configure.patch
Patch1:		%{name}-gnome-config.patch
Patch2:		%{name}-gcc4.patch
URL:		http://home.wtal.de/petig/Gtk/index.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	gtkmm-devel >= 2.4.0
BuildRequires:	libbonobouimm-devel >= 1.3.7
BuildRequires:	libgnomeuimm-devel >= 2.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a C++ backend for glade, the GUI designer for Gtk. This means
this program reads glade files and outputs a C++ program source
skeleton for you. Each (public) GUI class has a derivative user class
for you to modify and extend.

%description -l pl.UTF-8
Glademm to łącze do glade dla C++. Dzięki niemu z plików glade można
uzyskać szkielet kodu wynikowego w C++. Każda (publiczna) klasa GUI
posiada klasę pochodną użytkownika, którą można modyfikować i
rozwijać.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO docs/*.txt
%attr(755, root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glademm.spec,v $
Revision 1.34  2008-01-29 21:32:49  vip
- gcc4 fix

Revision 1.33  2007-02-13 07:16:45  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.31  2005/02/03 21:44:23  grzegol
- updated to 2.6.0

Revision 1.30  2004/08/31 09:00:57  snurf
- typos / formatting / etc.

Revision 1.29  2004/05/20 15:17:11  grzegol
- updated to 2.5.0

Revision 1.28  2003/11/03 22:21:53  grzegol
- updated to 2.0.0.1
- removed outdated assert patch
- added gnome-config patch
- more BRs

Revision 1.27  2003/08/24 17:18:47  grzegol
- updated to 2.0.0
- removed outdated types patch
- added assert patch
- doesn't work yet

Revision 1.26  2003/05/28 12:58:59  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 05:47:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.23  2002/08/29 13:29:54  qboosh
- fixed build on 64-bit archs, new %%doc, release 2

Revision 1.22  2002/06/23 20:32:25  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.21  2002/05/21 23:13:10  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/04/25 16:24:34  arturs
fixed a small typo

Revision 1.19  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/17 19:55:04  misiek
- updated to 0.6.2b

Revision 1.16  2002/01/18 02:13:04  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:51:45  qboosh
- pl summary

Revision 1.14  2001/11/24 20:33:47  qrczak
- glademm-configure.patch: small fix to let autoconf generate a valid
  shell script.
- Call aclocal and automake -a -c. I don't understand it but it didn't
  work without this.

Revision 1.13  2001/04/30 16:05:18  kloczek
- added using %%{rpmcflags} macro.

Revision 1.12  2001/02/10 09:22:43  kloczek
- updated to 0.5_11d.

Revision 1.11  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2001/01/08 18:20:01  kloczek
- updated to 0.5_10,
- removed obsoleted CXXFLAGS patch.

Revision 1.9  2000/12/23 00:48:44  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.8  2000/10/29 17:57:25  kloczek
- release 2,
- added CXXFLAGS fit remove override standard CXXFLAGS,
- use new rpm automation.

Revision 1.7  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/06/07 15:41:59  kloczek
- updated to 0.5.9.

Revision 1.5  2000/05/30 23:33:19  arturs
-added /home/q/cvs/SPECSescription -l pl

Revision 1.4  2000/05/18 23:29:23  kloczek
- spec adapterized.

Revision 1.3  2000/05/15 00:33:29  kloczek
- updated to 0.5.7c.

Revision 1.2  2000/04/12 11:54:37  kloczek
- rewrited in PLD style,
- beter C++ optimization (-fno-rtti -fno-exceptions).
